from setuptools import setup, find_packages

setup(
    name="umap-osm",
    version="0.1.0",
    author="Umut Can",
    author_email="noreply@deuz.ai", 
    description="A Python package for urban mapping and analysis",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/umutc/Umap",  
    packages=find_packages(),
    install_requires=[
        "osmnx>=2.0.0",
        "matplotlib>=3.0.0",
        "shapely>=2.0.0",
        "geopandas>=0.9.0",
        "numpy>=1.19.0",
        "pandas>=1.2.0",
    ],
    extras_require={
        "plotter": ["vsketch>=1.0.0"],
    },
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: 3.12",
        "Topic :: Scientific/Engineering :: GIS",
    ],
    python_requires=">=3.8",
    keywords="urban mapping analysis gis osm",
)
